#
# spec file for package python-jsonpath-rw-ext
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jsonpath-rw-ext
Version:        1.1.3
Release:        lp150.1.1
Summary:        Extensions for JSONPath RW
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/sileht/python-jsonpath-rw-ext
Source:         https://pypi.io/packages/source/j/jsonpath-rw-ext/jsonpath-rw-ext-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-jsonpath-rw >= 1.2.0
Requires:       python-pbr >= 1.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Extensions for JSONPath RW

This extensions will be proposed `upstream <https://github.com/kennknowles/python-jsonpath-rw>`__
and will stay here only if they are refused.

%prep
%setup -q -n jsonpath-rw-ext-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Mar  2 2018 tbechtold@suse.com
- update to 1.1.3:
  * Added convenience shortcut functions
  * travis: move to python version 3.5/3.6
* Wed Jul  5 2017 tbechtold@suse.com
- update to 1.1.2:
  * Allow to skip tests
  * Remove unused Babel dependency
  * Use modern PBR and hacking packages
  * Update release script and fix doc
  * PEP8 - line length
  * Added support for boolean values in filters
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.0.0:
  * Fix pep8
  * Make results of a sort indexable and traversable
  * Added support for floating point types in filter predicates
  * Fix error when the filtered datum is not iterable
  * Set minimum version of jsonpath-rw
  * Fix reference to jsonpath-rw
* Wed Oct 21 2015 dmueller@suse.com
- update to 0.1.9:
  * Fix README
  * Add sub and split named_operator
  * doc: Fix typo
  * Add a long description to README
  * Add more tests
  * Improve documentation
* Wed Sep 16 2015 tbechtold@suse.com
- Initial packaging (version 0.1.7)
